#ifndef _TREEWIDGET_H_
#define _TREEWIDGET_H_


//
//  $Id$
//


#include <QWidget>

#include "ui_treewidget.h"



class TreeWidget : public QWidget, public Ui_TreeWidget
{

  Q_OBJECT


public:


  TreeWidget(QWidget* parent = 0, Qt::WFlags f = 0 );
 
  ~TreeWidget();



protected slots:

  void create_hierachy();
  void select_children();

protected:

  QSet<QTreeWidgetItem*> _parent_items;

};



#endif
